POSTGet raw table item

A specific table item can be identified using table_handle and key. Aptos nodes prune account state history according to a configurable retention period. If the requested ledger version has already been pruned, the server returns a 410 response.

Path Parameters
table_handlestringrequired

A pointer value indicating where the table is stored.

Query Parameters
ledger_versioninteger

The ledger version of the transaction to fetch account state from. If no value is provided, the latest version is used.

Request Body
keystringrequired

Key hex string value of the table item

Responses
Headers
X-APTOS-BLOCK-HEIGHTintegerrequired

Current block height of the chain

예: 0

X-APTOS-CHAIN-IDintegerrequired

Chain ID of the current chain

예: 0

X-APTOS-EPOCHintegerrequired

Current epoch of the chain

예: 0

X-APTOS-LEDGER-OLDEST-VERSIONintegerrequired

Oldest unpruned ledger version of the chain

예: 0

X-APTOS-LEDGER-TIMESTAMPUSECintegerrequired

Current timestamp of the chain

예: 0

X-APTOS-LEDGER-VERSIONintegerrequired

Current ledger version of the chain

예: 0

X-APTOS-OLDEST-BLOCK-HEIGHTintegerrequired

Oldest unpruned block height of the chain

예: 0

X-APTOS-CURSORstring

Cursor for the next page

예: string

X-APTOS-GAS-USEDinteger

Amount of gas actually used for transaction execution

예: 0

X-API-KEY
RequestCU13
cURL
curl -X POST "https://aptos-mainnet.nodit.io/v1/tables/0x7d7561f38ada5eb9066f05c6e80df069208c4de472d6414482016d38448d1a7d/raw_item?ledger_version=0" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "key": "0x00000000000000000000000000000000000000000000000000000000000000010a6170746f735f636f696e094170746f73436f696e"
}'
Response
Header · 200
{
  "X-APTOS-BLOCK-HEIGHT": 0,
  "X-APTOS-CHAIN-ID": 0,
  "X-APTOS-EPOCH": 0,
  "X-APTOS-LEDGER-OLDEST-VERSION": 0,
  "X-APTOS-LEDGER-TIMESTAMPUSEC": 0,
  "X-APTOS-LEDGER-VERSION": 0,
  "X-APTOS-OLDEST-BLOCK-HEIGHT": 0,
  "X-APTOS-CURSOR": "string",
  "X-APTOS-GAS-USED": 0
}
Body · 200
""